ENTRY(_main)
OUTPUT_FORMAT("coff-sh")
OUTPUT_ARCH(sh)
MEMORY
{
	extdram		:	org = 0x01000000, len = 8M
}

Code_Start			= 0x01200000;   /* must allow 2M room for FTP of new application software */

SECTIONS
	{
	/* The function table starts at the base address */
	.reset Code_Start : 		/* Reset vectors at the start */
		{
		_user_load_point = .;
		SORT(*)(.ftable)
		} > extdram /*extflash extdram intflash*/

	/* The code will be loaded following the vectors */
	.text :
		{
		SORT(*)(.text)
        /* .gnu.warning sections are handled specially by elf32.em.  */
        SORT(*)(.gnu.warning)
        SORT(*)(.gnu.linkonce.t*)
		SORT(*)(.strings)
		SORT(*)(.rdata);				/* any rom data */
		SORT(*)(.rodata*);				/* any rom data */
		SORT(*)(.gnu.linkonce.*);
     	_etext = . ;
    	}
		> extdram /*extdram extflash*/

	/* Other ROM areas, constructor and destructor lists */
	.tors 					:
		{
		PROVIDE(___ctors = .);
		SORT(*)(.ctors);
		__CTOR_END__ = .;
		PROVIDE(___ctors_end = .);
	    PROVIDE(___dtors = .);
	    SORT(*)(.dtors);
		__DTOR_END__ = .;
	    PROVIDE(___dtors_end = .);
	    PROVIDE(_mdata = ALIGN(0x10));
	    }
		> extdram /* extflash extdram */

	/* Standard Initialized data placed in ROM, addresses located in RAM */
	.mdata :
		{
		SORT(*)(.data);
        SORT(*)(.data.*)
        SORT(*)(.gnu.linkonce.d*)
        SORT(*)(.gcc_except_table)
		}
		>extdram

	_data = ADDR(.mdata);
	_edata = ADDR(.mdata) + SIZEOF(.mdata);

    /* Common Uninitialized memory */
	.common (NOLOAD) :
	    {
	PROVIDE(_s_common = .);
		SORT(*)(.bss)
		SORT(*)(COMMON)
		__end = ALIGN(0x10) ;
		_end = .;
	PROVIDE(_e_common = .);
	    }
		>extdram

/*	PROVIDE(_e_common = ADDR(.common) + SIZEOF(.common));*/

	}
