/* 5300 */

ENTRY(main)
/*OUTPUT_FORMAT("coff-sh")*/
/*OUTPUT_ARCH(sh)*/
MEMORY
{
	extdram		:	org = 0x21600000, len = 6M
}

Code_Start			= 0x21600000;   /* FTP area starts at 0x21C00000 */

SECTIONS
	{
	/* The function table starts at the base address */
	.reset Code_Start : 		/* Reset vectors at the start */
		{
		_user_load_point = .;
		*(.ftable)
		} > extdram /*extflash extdram intflash*/

	/* The code will be loaded following the vectors */
	
	.text :
		{
		SORT(*)(.text);
        /* .gnu.warning sections are handled specially by elf32.em.  */
        SORT(*)(.gnu.warning) 
        SORT(*)(.gnu.linkonce.t*) 
		SORT(*)(.strings)
		SORT(*)(.slowrom)
        . = ALIGN(4);
		SORT(*)(.rdata);
        . = ALIGN(4);
		/* SORT(*)(.rodata); */
        /* . = ALIGN(4); */
        /* SORT(*)(.rodata.str1.4) */
		SORT(*)(.rodata*);			/* any rom data */
        SORT(*)(.gnu.linkonce.r*) 
        . = ALIGN(4);
		SORT(*)(.slowrom);
     	_etext = . ; 
    	}
		>extdram /*extdram extflash*/

	/* Other ROM areas, constructor and destructor lists */
	.tors 					:
		{
		PROVIDE(___ctors = .);
		PROVIDE(__ctors = .);
		/*__CTOR_LIST__ = .;
		LONG((__CTOR_END__ - __CTOR_LIST__) / 4 - 2))*/
		SORT(*)(.ctors);
		__CTOR_END__ = .;
		PROVIDE(___ctors_end = .);
		PROVIDE(__ctors_end = .);
	    PROVIDE(___dtors = .);
	    PROVIDE(__dtors = .);
		/*__DTOR_LIST__ = .;
		LONG((__DTOR_END__ - __DTOR_LIST__) / 4 - 2))*/
	    SORT(*)(.dtors); 
		__DTOR_END__ = .;
	    PROVIDE(___dtors_end = .);
	    PROVIDE(__dtors_end = .);
		. = ALIGN(4);
	    PROVIDE(_mdata = .);
		PROVIDE(_program_data_end = .);
	    } 
		>extdram /* extflash extdram */


	/* Standard Initialized data placed in ROM, addresses located in RAM */
	.mdata :
		{ 
		*(.data);
        SORT(*)(.gnu.linkonce.d*) 
        SORT(*)(.gcc_except_table)
		}
		>extdram

	_data = ADDR(.mdata);
	_edata = ADDR(.mdata) + SIZEOF(.mdata);

    /* Common Uninitialized memory */
	.common (NOLOAD) :
	    {
		PROVIDE(_s_common = .);
		PROVIDE(s_common = .);
		*(.bss)
		*(COMMON)
		__end = ALIGN(0x10) ;
		_end = .;
		PROVIDE(end = .);
		PROVIDE(_e_common = .);
		PROVIDE(e_common = .);
	    }
		>extdram

/*	PROVIDE(_e_common = ADDR(.common) + SIZEOF(.common));*/

	}
